[Odcctools-changes] [147] trunk

source_changes at macosforge.org source_changes at macosforge.org
Sun Sep 17 14:13:32 PDT 2006


Revision: 147
Author:   ssen at mit.edu
Date:     2006-09-17 14:13:30 -0700 (Sun, 17 Sep 2006)

Log Message:
-----------
Add ability to avoid SDK merge if you are planning on building with xcode 2.4. Fix some warnings

Modified Paths:
--------------
    trunk/extract.sh

Added Paths:
-----------
    trunk/patches/include/stuff/
    trunk/patches/include/stuff/bytesex-floatstate.diff

Modified: trunk/extract.sh
===================================================================
--- trunk/extract.sh	2006-09-15 03:00:39 UTC (rev 146)
+++ trunk/extract.sh	2006-09-17 21:13:30 UTC (rev 147)
@@ -16,6 +16,7 @@
 
 MAKEDISTFILE=0
 UPDATEPATCH=0
+USESSDK=1
 
 while [ $# -gt 0 ]; do
     case $1 in
@@ -27,8 +28,12 @@
 	    shift
 	    UPDATEPATCH=1
 	    ;;
+	--nosdk)
+	    shift
+	    USESDK=0
+	    ;;
 	--help)
-	    echo "Usage: $0 [--help] [--distfile] [--updatepatch]" 1>&2
+	    echo "Usage: $0 [--help] [--distfile] [--updatepatch] [--nosdk]" 1>&2
 	    exit 0
 	    ;;
 	*)
@@ -66,17 +71,25 @@
 find ${DISTDIR} -name \*.orig -exec rm -f "{}" \;
 rm -rf ${DISTDIR}/{cbtlibs,dyld,file,gprof,libdyld,mkshlib,profileServer}
 
-SDKROOT=/Developer/SDKs/MacOSX10.4u.sdk
-echo "Merging content from $SDKROOT"
-if [ ! -d "$SDKROOT" ]; then
-    echo "$SDKROOT must be present" 1>&2
-    exit 1
+if [ $USESDK -eq 1 ]; then
+    SDKROOT=/Developer/SDKs/MacOSX10.4u.sdk
+    echo "Merging content from $SDKROOT"
+    if [ ! -d "$SDKROOT" ]; then
+	echo "$SDKROOT must be present" 1>&2
+	exit 1
+    fi
+
+    mv ${DISTDIR}/include/mach/machine.h ${DISTDIR}/include/mach/machine.h.new;
+    for i in mach architecture i386 libkern; do
+	tar cf - -C "$SDKROOT/usr/include" $i | tar xf - -C ${DISTDIR}/include
+    done
+    mv ${DISTDIR}/include/mach/machine.h.new ${DISTDIR}/include/mach/machine.h;
+
+    for f in ${DISTDIR}/include/libkern/OSByteOrder.h; do
+	sed -e 's/__GNUC__/__GNUC_UNUSED__/g' < $f > $f.tmp
+	mv -f $f.tmp $f
+    done
 fi
-mv ${DISTDIR}/include/mach/machine.h ${DISTDIR}/include/mach/machine.h.new;
-for i in mach architecture i386 libkern; do
-    tar cf - -C "$SDKROOT/usr/include" $i | tar xf - -C ${DISTDIR}/include
-done;
-mv ${DISTDIR}/include/mach/machine.h.new ${DISTDIR}/include/mach/machine.h;
 
 # process source for mechanical substitutions
 echo "Removing #import"
@@ -91,11 +104,6 @@
     mv -f $f.tmp $f
 done
 
-for f in ${DISTDIR}/include/libkern/OSByteOrder.h; do
-    sed -e 's/__GNUC__/__GNUC_UNUSED__/g' < $f > $f.tmp
-    mv -f $f.tmp $f
-done
-
 set +e
 
 INTERACTIVE=0

Added: trunk/patches/include/stuff/bytesex-floatstate.diff
===================================================================
--- trunk/patches/include/stuff/bytesex-floatstate.diff	                        (rev 0)
+++ trunk/patches/include/stuff/bytesex-floatstate.diff	2006-09-17 21:13:30 UTC (rev 147)
@@ -0,0 +1,11 @@
+--- bytesex.h.orig	2006-09-17 13:54:31.000000000 -0700
++++ bytesex.h	2006-09-17 13:55:07.000000000 -0700
+@@ -227,7 +227,7 @@
+ /* current i386 thread states */
+ #if i386_THREAD_STATE == 1
+ extern void swap_i386_float_state(
+-    struct __darwin_i386_float_state *fpu,
++    struct i386_float_state *fpu,
+     enum byte_sex target_byte_sex);
+ 
+ extern void swap_i386_exception_state(

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.macosforge.org/pipermail/odcctools-changes/attachments/20060917/4b29dfc3/attachment-0001.html


More information about the odcctools-changes mailing list